Subject: bug#37772: 26.3; Doc of recentf, particularly `recentf-list'

From: Drew Adams <[email-masked]>
Date: Tue, 15 Oct 2019 15:45:48 -0700 (PDT)

Many users use recentf.  Likewise, libraries.  Nowhere is it said what
order the files are listed in, i.e., the order of the elements of
`recentf-list'.  The answer is apparently that, by default at least, a
file is pushed to the front of the list when it is "opened" or written.

A more exact answer is that `recentf-list' is in reverse chronological
order of calls to `recentf-track-opened-file'.  And by default that
function is added to these hooks: `find-file-hook' and
`write-file-functions'.

In GNU Emacs 26.3 (build 1, x86_64-w64-mingw32)
 of 2019-08-29
Repository revision: 96dd0196c28bc36779584e47fffcca433c9309cd
Windowing system distributor `Microsoft Corp.', version 10.0.17763
Configured using:
 `configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install 'CFLAGS=-O2 -static -g3''